### Method

# AppStream SystemInfo modalias_to_syspath

#### Declaration [src]

    const gchar*
    as_system_info_modalias_to_syspath (
      AsSystemInfo* sysinfo,
      const gchar* modalias
    )

#### Description [src]

Receive a path in /sys for the devices with the given modalias.

#### Parameters

`modalias`

  Type: `const gchar*`

  The modalias value to resolve.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const gchar*`

The syspath, or `NULL` if none was found.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.